# ToDo

A to-do represents a basic specific task within a lane of a board.

## Get toDos

 - [GET /todos/user/{user}/{offset}/{amount}](https://docs.transportial.com/apis/todo/handle_37.md): Get list of toDos

## Get toDo

 - [GET /board/lane/todo/{id}](https://docs.transportial.com/apis/todo/handle_217.md): Get a toDo on id

## Update todo

 - [PUT /board/lane/todo/{id}](https://docs.transportial.com/apis/todo/handle_45.md): Update a todo

## Delete toDo

 - [DELETE /board/lane/todo/{id}](https://docs.transportial.com/apis/todo/handle_340.md): Delete a toDo

## Get user statistics

 - [GET /todo:statistics/user/{id}](https://docs.transportial.com/apis/todo/handle_72.md): Get to do user statistics

## Get toDoComment

 - [GET /toDo/comment/{id}](https://docs.transportial.com/apis/todo/handle_132.md): Get a toDoComment on id

## Delete toDoComment

 - [DELETE /toDo/comment/{id}](https://docs.transportial.com/apis/todo/handle_317.md): Delete a toDoComment

## Get toDos

 - [GET /board/lane/todos/{offset}/{amount}](https://docs.transportial.com/apis/todo/handle_180.md): Get list of toDos

## Get toDos

 - [POST /board/lane/todos/{offset}/{amount}](https://docs.transportial.com/apis/todo/handle_169.md): Get list of toDos

## Get statistics

 - [GET /todo:statistics](https://docs.transportial.com/apis/todo/handle_203.md): Get to do statistics

## Get lanes

 - [GET /board/{id}/lanes/{offset}/{amount}](https://docs.transportial.com/apis/todo/handle_249.md): Get list of lanes

## Update toDoComment

 - [PUT /toDo/comment](https://docs.transportial.com/apis/todo/handle_368.md): Update a toDoComment

## Create toDoComment

 - [POST /toDo/comment](https://docs.transportial.com/apis/todo/handle_290.md): Create a new toDoComment

## Get toDoComments

 - [GET /toDo/{id}/comments/{offset}/{amount}](https://docs.transportial.com/apis/todo/handle_424.md): Get list of toDoComments

## Get toDoComments

 - [POST /toDo/{id}/comments/{offset}/{amount}](https://docs.transportial.com/apis/todo/handle_341.md): Get list of toDoComments

## Get toDos

 - [GET /todos:byDateRange/{fromDate}/{toDate}](https://docs.transportial.com/apis/todo/handle_416.md): Get list of toDos

## Get toDos

 - [GET /todos:byDateRange/user/{user}/{fromDate}/{toDate}](https://docs.transportial.com/apis/todo/handle_497.md): Get list of toDos

## Get toDos

 - [GET /todos:byEntity/{entityType}/{entityId}/{offset}/{amount}](https://docs.transportial.com/apis/todo/handle_499.md): Get list of toDos

